<?php
/**
 * Custom header implementation
 */

function tijarat_business_custom_header_setup() {

	add_theme_support( 'custom-header', apply_filters( 'tijarat_business_custom_header_args', array(

		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1355,
		'height'                 => 160,
		'flex-width'         	=> true,
        'flex-height'        	=> true,
		'wp-head-callback'       => 'tijarat_business_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'tijarat_business_custom_header_setup' );

if ( ! function_exists( 'tijarat_business_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see tijarat_business_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'tijarat_business_header_style' );
function tijarat_business_header_style() {
	//Check if user has defined any header image.
	if ( get_header_image() ) :
	$tijarat_business_custom_css = "
        #masthead .main-header{
			background-image:url('".esc_url(get_header_image())."');
			background-position: center top;
		}";
	   	wp_add_inline_style( 'tijarat-business-basic-style', $tijarat_business_custom_css );
	endif;
}
endif; // tijarat_business_header_style